Skip to content

Remove user from company

DELETE
/user/{user_id}/company/{company_id}/orbits/{orbits}
curl --request DELETE \
--url https://api.colourbox.com/user/1/company/1/orbits/colourbox-skyfish \
--header 'Authorization: CBX-SIMPLE-TOKEN Token=<token>'

Deleting from Skyfish

To remove user 17 from Skyfish on company 62 and let user 87 inherit the content unique to user 17: DELETE /user/17/company/62/orbits/skyfish?heir_id=87.

The heir_id is important if you want to control who inherits the files user 17 had access to. Specifying no heir_id will leave the content orphaned, but it can be found under Folder management.

Deleting from Colourbox

DELETE /user/17/company/62/orbits/colourbox

Both orbits can be given separated by a hyphen: DELETE /user/17/company/62/orbits/colourbox-skyfish?heir_id=87

user_id
required
integer

User ID

company_id
required
integer
orbits
required
string

Example

colourbox-skyfish

skyfish, colourbox or both, separated by a hyphen

heir_id
integer

The user who inherits the content unique to the deleted user

User deleted from the orbits

Nothing to delete